petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPartitioningPartySetLocal

Set local method for Party partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetLocal(MatPartitioning part,const char *local)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| method | - a string representing the method

### Options Database

-mat_partitioning_party_local <method> -the local method

### Notes

The method may be one of MP_PARTY_HELPFUL_SETS, MP_PARTY_KERNIGHAN_LIN, or MP_PARTY_NONE. Check the Party Library Users Manual for details.

### See Also

MatPartitioningPartySetGlobal()

Level:advanced
Location:src/mat/partition/impls/party/party.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages